package sample;
import javax.swing.SwingUtilities;
import javax.swing.JPanel;
import javax.swing.JFrame;
import java.awt.Rectangle;
import javax.swing.JScrollPane;
import javax.swing.JTextArea;

public class MainFrame extends JFrame {

	private static final long serialVersionUID = 1L;

	private JPanel jContentPane = null;

	private JScrollPane jScrollPane = null;

	private JTextArea jTextArea = null;

	/**
	 * This method initializes jScrollPane	
	 * 	
	 * @return javax.swing.JScrollPane	
	 */
	private JScrollPane getJScrollPane() {
		if (jScrollPane == null) {
			jScrollPane = new JScrollPane();
			jScrollPane.setBounds(new Rectangle(75, 30, 136, 91));
			jScrollPane.setViewportView(getJTextArea());
		}
		return jScrollPane;
	}

	/**
	 * This method initializes jTextArea	
	 * 	
	 * @return javax.swing.JTextArea	
	 */
	private JTextArea getJTextArea() {
		if (jTextArea == null) {
			jTextArea = new JTextArea();
		}
		return jTextArea;
	}

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		SwingUtilities.invokeLater(new Runnable() {
			public void run() {
				MainFrame thisClass = new MainFrame();
				thisClass.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
				thisClass.setVisible(true);
			}
		});
	}

	/**
	 * This is the default constructor
	 */
	public MainFrame() {
		super();
		initialize();
	}

	/**
	 * This method initializes this
	 * 
	 */
	private void initialize() {
		this.setSize(300, 200);
		this.setContentPane(getJContentPane());
		this.setTitle("Sample");
		
		// ݒ
		setText();
	}

	/**
	 * This method initializes jContentPane
	 * 
	 * @return javax.swing.JPanel
	 */
	private JPanel getJContentPane() {
		if (jContentPane == null) {
			jContentPane = new JPanel();
			jContentPane.setLayout(null);
			jContentPane.add(getJScrollPane(), null);
		}
		return jContentPane;
	}
	
	private void setText()
	{
		getJTextArea().append("ABCDEFGHIJKLMNOPQRSTUVWXYZ\n");
		getJTextArea().append("\n");
		getJTextArea().append("123456789012345678901234567890\n");
		getJTextArea().append("ABCDEFGHIJKLMNOPQRSTUVWXYZ\n");
		getJTextArea().append("\n");
		getJTextArea().append("123456789012345678901234567890\n");
		getJTextArea().append("ABCDEFGHIJKLMNOPQRSTUVWXYZ\n");
		getJTextArea().append("\n");
		getJTextArea().append("123456789012345678901234567890\n");
		getJTextArea().append("ABCDEFGHIJKLMNOPQRSTUVWXYZ\n");
		getJTextArea().append("\n");
		getJTextArea().append("123456789012345678901234567890\n");
	}
}
